[svn] r6308 - in trunk/rpms: . fontforge htpdate lshw
perl-Date-Holidays-DE perl-GStreamer perl-Geo-IP
perl-Lemonldap-NG-Manager perl-Lingua-Han-PinYin
perl-Lingua-Han-Stroke perl-Lingua-Han-Utils perl-List-Member
perl-Locale-Currency-Format perl-Locale-PO perl-Log-Trivial
perl-Params-Validate qemu wine
packagers at lists.rpmforge.net
packagers at lists.rpmforge.net
Sat May 10 16:56:30 CEST 2008
Author: dag
Date: 2008-05-10 15:56:28 +0100 (Sat, 10 May 2008)
New Revision: 6308
Added:
trunk/rpms/perl-Log-Trivial/
trunk/rpms/perl-Log-Trivial/perl-Log-Trivial.spec
Modified:
trunk/rpms/fontforge/fontforge.spec
trunk/rpms/htpdate/htpdate.spec
trunk/rpms/lshw/lshw.spec
trunk/rpms/perl-Date-Holidays-DE/perl-Date-Holidays-DE.spec
trunk/rpms/perl-GStreamer/perl-GStreamer.spec
trunk/rpms/perl-Geo-IP/perl-Geo-IP.spec
trunk/rpms/perl-Lemonldap-NG-Manager/perl-Lemonldap-NG-Manager.spec
trunk/rpms/perl-Lingua-Han-PinYin/perl-Lingua-Han-PinYin.spec
trunk/rpms/perl-Lingua-Han-Stroke/perl-Lingua-Han-Stroke.spec
trunk/rpms/perl-Lingua-Han-Utils/perl-Lingua-Han-Utils.spec
trunk/rpms/perl-List-Member/perl-List-Member.spec
trunk/rpms/perl-Locale-Currency-Format/perl-Locale-Currency-Format.spec
trunk/rpms/perl-Locale-PO/perl-Locale-PO.spec
trunk/rpms/perl-Params-Validate/perl-Params-Validate.spec
trunk/rpms/qemu/qemu.spec
trunk/rpms/wine/wine.spec
Log:
Updates
Modified: trunk/rpms/fontforge/fontforge.spec
===================================================================
--- trunk/rpms/fontforge/fontforge.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/fontforge/fontforge.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -4,10 +4,10 @@
%{?dtag: %{expand: %%define %dtag 1}}
%{!?dtag:%define _with_modxorg 1}
-%{?fc7: %define _with_modxorg 1}
-%{?el5: %define _with_modxorg 1}
-%{?fc6: %define _with_modxorg 1}
-%{?fc5: %define _with_modxorg 1}
+%{?fc7: %define _with_modxorg 1}
+%{?el5: %define _with_modxorg 1}
+%{?fc6: %define _with_modxorg 1}
+%{?fc5: %define _with_modxorg 1}
%{?rh7:%define _without_freedesktop 1}
%{?el2:%define _without_freedesktop 1}
@@ -16,13 +16,16 @@
Summary: Outline and bitmap font editor
Name: fontforge
-Version: 0.0
-Release: 0.cvs20050502.2
+%define real_version 20061025
+Version: 0.0.20061025
+Release: 1
License: BSD
Group: Applications/Publishing
URL: http://fontforge.sourceforge.net/
-Source: http://dl.sf.net/fontforge/fontforge_full-20050502.tgz
+Source: http://dl.sf.net/fontforge/fontforge_full-%{real_version}.tar.bz2
+Patch1: fontforge-20061025-usFirstCharIndex.patch
+Patch2: fontforge-20061025-fsSel.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: freetype-devel, libuninameslist-devel
@@ -31,8 +34,10 @@
%{?_with_modxorg:BuildRequires: libX11-devel, libSM-devel, libXi-devel}
%{!?_with_modxorg:BuildRequires: XFree86-devel}
%{!?_without_freedesktop:BuildRequires: desktop-file-utils}
-Obsoletes: pfaedit
+Obsoletes: pfaedit <= %{version}-%{release}
+Provides: pfaedit = %{version}-%{release}
+
%description
FontForge (former PfaEdit) is a font editor for outline and bitmap
fonts. It supports a range of font formats, including PostScript
@@ -40,7 +45,9 @@
(Type2) and CID-keyed fonts.
%prep
-%setup -n %{name}-20050502
+%setup -n %{name}-%{real_version}
+%patch1 -p1 -b .usFirstCharIndex
+%patch2 -p1 -b .fsSel
%{__perl} -pi.orig -e 's|-rpath \$\(libdir\)||' fontforge/Makefile*.in
%{__perl} -pi.orig -e 's|("mozilla", "opera",)|"htmlview", "firefox", $1|' fontforge/uiutil.c
@@ -59,24 +66,26 @@
EOF
%build
+export LIBS="-lgif"
%configure \
- --with-freetype-bytecode="no" \
- --with-regular-link
-%{__make} #%{?_smp_mflags}
+ --with-freetype-bytecode="no" \
+ --with-regular-link
+%{__make} %{?_smp_mflags}
%install
%{__rm} -rf %{buildroot}
%makeinstall
+%find_lang FontForge
%if %{?_without_freedesktop:1}0
- %{__install} -Dp -m0644 fontforge.desktop %{buildroot}%{_datadir}/gnome/apps/Utilities/fontforge.desktop
+ %{__install} -Dp -m0644 fontforge.desktop %{buildroot}%{_datadir}/gnome/apps/Utilities/fontforge.desktop
%else
- %{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
- desktop-file-install \
- --vendor %{desktop_vendor} \
- --add-category X-Red-Hat-Base \
- --dir %{buildroot}%{_datadir}/applications \
- fontforge.desktop
+ %{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
+ desktop-file-install \
+ --vendor %{desktop_vendor} \
+ --add-category X-Red-Hat-Base \
+ --dir %{buildroot}%{_datadir}/applications \
+ fontforge.desktop
%endif
%clean
@@ -90,22 +99,29 @@
/sbin/ldconfig 2>/dev/null
update-desktop-database %{_datadir}/applications &>/dev/null || :
-%files
+%files -f FontForge.lang
%defattr(-, root, root, 0755)
-%doc AUTHORS LICENSE README README-unix
+%doc AUTHORS LICENSE README-unix
%doc %{_mandir}/man1/fontforge.1*
+%doc %{_mandir}/man1/fontimage.1*
%doc %{_mandir}/man1/sfddiff.1*
%{_bindir}/fontforge
-%{_bindir}/pfaedit
+%{_bindir}/fontimage
%{_bindir}/sfddiff
-%{_libdir}/libg*.so.*
-%{_libdir}/pkgconfig/fontforge.pc
+%{_datadir}/fontforge/
%{!?_without_freedesktop:%{_datadir}/applications/%{desktop_vendor}-fontforge.desktop}
%{?_without_freedesktop:%{_datadir}/gnome/apps/Utilities/fontforge.desktop}
-%{_datadir}/fontforge/
-%exclude %{_libdir}/*.la
-%exclude %{_libdir}/*.so
+%{_libdir}/libgdraw.so.*
+%{_libdir}/libgunicode.so.*
+%{_libdir}/pkgconfig/fontforge.pc
+%exclude %{_libdir}/libgdraw.la
+%exclude %{_libdir}/libgdraw.so
+%exclude %{_libdir}/libgunicode.la
+%exclude %{_libdir}/libgunicode.so
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.0.20061025-1
+- Updated to release 20061025.
+
* Mon May 30 2005 Dag Wieers <dag at wieers.com> - 0.0-0.20050502
- Initial package. (using DAR)
Modified: trunk/rpms/htpdate/htpdate.spec
===================================================================
--- trunk/rpms/htpdate/htpdate.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/htpdate/htpdate.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -4,7 +4,7 @@
Summary: HTTP based time synchronization tool
Name: htpdate
-Version: 1.0.0
+Version: 1.0.1
Release: 1
License: GPL
Group: Applications/Internet
@@ -67,60 +67,60 @@
desc="HTTP Time Protocol daemon"
start() {
- echo -n $"Starting $desc ($prog): "
- daemon $prog -D $OPTIONS -i $PIDFILE $SERVERS
- RETVAL=$?
- echo
- [ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/$prog
- return $RETVAL
+ echo -n $"Starting $desc ($prog): "
+ daemon $prog -D $OPTIONS -i $PIDFILE $SERVERS
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/$prog
+ return $RETVAL
}
stop() {
- echo -n $"Shutting down $desc ($prog): "
- killproc $prog
- RETVAL=$?
- echo
- [ $RETVAL -eq 0 ] && rm -f %{_localstatedir}/lock/subsys/$prog
- return $RETVAL
+ echo -n $"Shutting down $desc ($prog): "
+ killproc $prog
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && rm -f %{_localstatedir}/lock/subsys/$prog
+ return $RETVAL
}
restart() {
- stop
- start
+ stop
+ start
}
reload() {
- echo -n $"Reloading $desc ($prog): "
- killproc $prog -HUP
- RETVAL=$?
- echo
- return $RETVAL
+ echo -n $"Reloading $desc ($prog): "
+ killproc $prog -HUP
+ RETVAL=$?
+ echo
+ return $RETVAL
}
case "$1" in
start)
- start
- ;;
+ start
+ ;;
stop)
- stop
- ;;
+ stop
+ ;;
restart)
- restart
- ;;
+ restart
+ ;;
reload)
- reload
- ;;
+ reload
+ ;;
condrestart)
- [ -e %{_localstatedir}/lock/subsys/$prog ] && restart
- RETVAL=$?
- ;;
+ [ -e %{_localstatedir}/lock/subsys/$prog ] && restart
+ RETVAL=$?
+ ;;
status)
- status $prog
- RETVAL=$?
- ;;
+ status $prog
+ RETVAL=$?
+ ;;
*)
- echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
- RETVAL=1
+ echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
+ RETVAL=1
esac
exit $RETVAL
@@ -142,8 +142,8 @@
%preun
if [ $1 -eq 0 ]; then
- /sbin/service htpdate stop &>/dev/null || :
- /sbin/chkconfig --del htpdate
+ /sbin/service htpdate stop &>/dev/null || :
+ /sbin/chkconfig --del htpdate
fi
%postun
@@ -161,6 +161,9 @@
%{_bindir}/htpdate
%changelog
+* Tue Apr 29 2008 Dag Wieers <dag at wieers.com> - 1.0.1-1
+- Updated to release 1.0.1.
+
* Sun Mar 04 2007 Dag Wieers <dag at wieers.com> - 1.0.0-1
- Updated to release 1.0.0.
Modified: trunk/rpms/lshw/lshw.spec
===================================================================
--- trunk/rpms/lshw/lshw.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/lshw/lshw.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -13,8 +13,8 @@
Summary: Hardware lister
Name: lshw
-%define real_version B.02.12.01
-Version: 2.12.1
+%define real_version B.02.13
+Version: 2.13
Release: 1
License: GPL
Group: Applications/System
@@ -98,6 +98,9 @@
%endif
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 2.13-1
+- Updated to release B.02.13.
+
* Sun Oct 14 2007 Dag Wieers <dag at wieers.com> - 2.12.1-1
- Updated to release B.02.12.01.
Modified: trunk/rpms/perl-Date-Holidays-DE/perl-Date-Holidays-DE.spec
===================================================================
--- trunk/rpms/perl-Date-Holidays-DE/perl-Date-Holidays-DE.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Date-Holidays-DE/perl-Date-Holidays-DE.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,8 +9,8 @@
Summary: Creates a list of german holidays in a given year
Name: perl-Date-Holidays-DE
-Version: 0.6
-Release: 1.2
+Version: 1.0.1
+Release: 1
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Date-Holidays-DE/
@@ -48,18 +48,24 @@
### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;
+### Clean up docs
+find example/ -type f -exec %{__chmod} a-x {} \;
+
%clean
%{__rm} -rf %{buildroot}
%files
%defattr(-, root, root, 0755)
-%doc Changes README
-%doc %{_mandir}/man3/*
+%doc Changes MANIFEST README example/
+%doc %{_mandir}/man3/Date::Holidays::DE.3pm*
+%dir %{perl_vendorlib}/Date/
+%dir %{perl_vendorlib}/Date/Holidays/
+#%{perl_vendorlib}/Date/Holidays/DE/
%{perl_vendorlib}/Date/Holidays/DE.pm
%changelog
-* Wed Mar 22 2006 Dries Verachtert <dries at ulyssis.org> - 0.6-1.2
-- Rebuild for Fedora Core 5.
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 1.0.1-1
+- Updated to release 1.0.1.
* Sun Dec 11 2005 Dries Verachtert <dries at ulyssis.org> - 0.6-1
- Initial package.
Modified: trunk/rpms/perl-GStreamer/perl-GStreamer.spec
===================================================================
--- trunk/rpms/perl-GStreamer/perl-GStreamer.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-GStreamer/perl-GStreamer.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,7 +9,7 @@
Summary: Perl module with bindings to the GStreamer library
Name: perl-GStreamer
-Version: 0.10
+Version: 0.11
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
@@ -58,6 +58,9 @@
%{perl_vendorarch}/GStreamer.pm
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.11-1
+- Updated to release 0.11.
+
* Mon May 05 2008 Dag Wieers <dag at wieers.com> - 0.10-1
- Updated to release 0.10.
Modified: trunk/rpms/perl-Geo-IP/perl-Geo-IP.spec
===================================================================
--- trunk/rpms/perl-Geo-IP/perl-Geo-IP.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Geo-IP/perl-Geo-IP.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -1,6 +1,6 @@
# $Id$
# Authority: dries
-# Upstream: T.J. Mather <tjmather$maxmind,com>
+# Upstream: Boris Zentner <bzm$2bz,de>
%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
@@ -9,7 +9,7 @@
Summary: Database which maps IP blocks on countries
Name: perl-Geo-IP
-Version: 1.31
+Version: 1.32
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
@@ -62,6 +62,9 @@
%{perl_vendorarch}/Geo/Mirror.pm
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 1.32-1
+- Updated to release 1.32.
+
* Mon May 05 2008 Dag Wieers <dag at wieers.com> - 1.31-1
- Updated to release 1.31.
Modified: trunk/rpms/perl-Lemonldap-NG-Manager/perl-Lemonldap-NG-Manager.spec
===================================================================
--- trunk/rpms/perl-Lemonldap-NG-Manager/perl-Lemonldap-NG-Manager.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Lemonldap-NG-Manager/perl-Lemonldap-NG-Manager.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,7 +9,7 @@
Summary: Perl extension for managing Lemonldap::NG Web-SSO system
Name: perl-Lemonldap-NG-Manager
-Version: 0.83
+Version: 0.84
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
@@ -61,6 +61,9 @@
%{perl_vendorlib}/Lemonldap/NG/Manager.pm
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.84-1
+- Updated to release 0.84.
+
* Fri Mar 07 2008 Dag Wieers <dag at wieers.com> - 0.83-1
- Updated to release 0.83.
Modified: trunk/rpms/perl-Lingua-Han-PinYin/perl-Lingua-Han-PinYin.spec
===================================================================
--- trunk/rpms/perl-Lingua-Han-PinYin/perl-Lingua-Han-PinYin.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Lingua-Han-PinYin/perl-Lingua-Han-PinYin.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,13 +9,13 @@
Summary: Retrieves the Mandarin of a Chinese character
Name: perl-Lingua-Han-PinYin
-Version: 0.07
+Version: 0.11
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Lingua-Han-PinYin/
-Source: http://search.cpan.org//CPAN/authors/id/F/FA/FAYLAND/Lingua-Han-PinYin-%{version}.tar.gz
+Source: http://www.cpan.org/modules/by-module/Lingua/Lingua-Han-PinYin-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
@@ -44,13 +44,16 @@
%files
%defattr(-, root, root, 0755)
-%doc Changes README
-%doc %{_mandir}/man3/*
+%doc Changes MANIFEST META.yml README
+%doc %{_mandir}/man3/Lingua::Han::PinYin.3pm*
%dir %{perl_vendorlib}/Lingua/
%dir %{perl_vendorlib}/Lingua/Han/
+%{perl_vendorlib}/Lingua/Han/PinYin/
%{perl_vendorlib}/Lingua/Han/PinYin.pm
-%{perl_vendorlib}/Lingua/Han/PinYin/
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.11-1
+- Updated to release 0.11.
+
* Tue Sep 19 2006 Dries Verachtert <dries at ulyssis.org> - 0.07-1
- Initial package.
Modified: trunk/rpms/perl-Lingua-Han-Stroke/perl-Lingua-Han-Stroke.spec
===================================================================
--- trunk/rpms/perl-Lingua-Han-Stroke/perl-Lingua-Han-Stroke.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Lingua-Han-Stroke/perl-Lingua-Han-Stroke.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -1,26 +1,28 @@
# $Id$
# Authority: dries
-# Upstream: Fayland <fayland$cpan,org>
+# Upstream: Fayland <fayland$gmail.com>
%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
%define real_name Lingua-Han-Stroke
-Summary: Retrieve the stroke count of a Chinese character
+Summary: Retrieve the stroke count of Chinese character
Name: perl-Lingua-Han-Stroke
-Version: 0.05
+Version: 0.06
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Lingua-Han-Stroke/
-Source: http://search.cpan.org/CPAN/authors/id/F/FA/FAYLAND/Lingua-Han-Stroke-%{version}.tar.gz
+Source: http://www.cpan.org/modules/by-module/Lingua/Lingua-Han-Stroke-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
+BuildRequires: perl(Lingua::Han::Utils)
+BuildRequires: perl(Test::More)
%description
Retrieve the stroke count of a Chinese character.
@@ -44,14 +46,17 @@
%files
%defattr(-, root, root, 0755)
-%doc Changes README
-%doc %{_mandir}/man3/*.3pm*
+%doc Changes MANIFEST META.yml README
+%doc %{_mandir}/man3/Lingua::Han::Stroke.3pm*
%dir %{perl_vendorlib}/Lingua/
%dir %{perl_vendorlib}/Lingua/Han/
+%{perl_vendorlib}/Lingua/Han/Stroke/
%{perl_vendorlib}/Lingua/Han/Stroke.pm
-%{perl_vendorlib}/Lingua/Han/Stroke/
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.06-1
+- Updated to release 0.06.
+
* Mon Sep 18 2006 Dries Verachtert <dries at ulyssis.org> - 0.05-1
- Updated to release 0.05.
Modified: trunk/rpms/perl-Lingua-Han-Utils/perl-Lingua-Han-Utils.spec
===================================================================
--- trunk/rpms/perl-Lingua-Han-Utils/perl-Lingua-Han-Utils.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Lingua-Han-Utils/perl-Lingua-Han-Utils.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,8 +9,8 @@
Summary: The utility tools of Chinese character(HanZi)
Name: perl-Lingua-Han-Utils
-Version: 0.05
-Release: 1.2
+Version: 0.10
+Release: 1
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Lingua-Han-Utils/
@@ -21,6 +21,8 @@
BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
+BuildRequires: perl(Encode::Guess)
+BuildRequires: perl(Test::More)
%description
The utility tools of Chinese character(HanZi).
@@ -44,13 +46,16 @@
%files
%defattr(-, root, root, 0755)
-%doc Changes README
-%doc %{_mandir}/man3/*
+%doc Changes MANIFEST META.yml README
+%doc %{_mandir}/man3/Lingua::Han::Utils.3pm*
+%dir %{perl_vendorlib}/Lingua/
+%dir %{perl_vendorlib}/Lingua/Han/
+#%{perl_vendorlib}/Lingua/Han/Utils/
%{perl_vendorlib}/Lingua/Han/Utils.pm
%changelog
-* Wed Mar 22 2006 Dries Verachtert <dries at ulyssis.org> - 0.05-1.2
-- Rebuild for Fedora Core 5.
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.10-1
+- Updated to release 0.10.
* Sat Jan 7 2006 Dries Verachtert <dries at ulyssis.org> - 0.05-1
- Updated to release 0.05.
Modified: trunk/rpms/perl-List-Member/perl-List-Member.spec
===================================================================
--- trunk/rpms/perl-List-Member/perl-List-Member.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-List-Member/perl-List-Member.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,7 +9,7 @@
Summary: Member function of Prolog
Name: perl-List-Member
-Version: 0.042
+Version: 0.043
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
@@ -19,9 +19,8 @@
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
-BuildRequires: perl
+BuildRequires: perl >= 4:5.8.8
BuildRequires: perl(ExtUtils::MakeMaker)
-BuildRequires: perl >= 4:5.8.8
%description
PROLOG's member/2: return index of $x in @y.
@@ -52,6 +51,9 @@
%{perl_vendorlib}/List/Member.pm
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.043-1
+- Updated to release 0.043.
+
* Tue Nov 13 2007 Dag Wieers <dag at wieers.com> - 0.042-1
- Updated to release 0.042.
Modified: trunk/rpms/perl-Locale-Currency-Format/perl-Locale-Currency-Format.spec
===================================================================
--- trunk/rpms/perl-Locale-Currency-Format/perl-Locale-Currency-Format.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Locale-Currency-Format/perl-Locale-Currency-Format.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,7 +9,7 @@
Summary: Functions for formatting monetary values
Name: perl-Locale-Currency-Format
-Version: 1.24
+Version: 1.25
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
@@ -52,6 +52,9 @@
%{perl_vendorlib}/Locale/Currency/Format.pm
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 1.25-1
+- Updated to release 1.25.
+
* Mon Feb 25 2008 Dag Wieers <dag at wieers.com> - 1.24-1
- Updated to release 1.24.
Modified: trunk/rpms/perl-Locale-PO/perl-Locale-PO.spec
===================================================================
--- trunk/rpms/perl-Locale-PO/perl-Locale-PO.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Locale-PO/perl-Locale-PO.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -1,6 +1,6 @@
# $Id$
# Authority: dag
-# Upstream: Alan Schwartz <alansz$uic,edu>
+# Upstream: Ken Prows <perl$xev,net>
%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
@@ -9,7 +9,7 @@
Summary: Perl module for manipulating .po entries from GNU gettext
Name: perl-Locale-PO
-Version: 0.17
+Version: 0.20
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
@@ -46,8 +46,12 @@
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Locale::PO.3pm*
%dir %{perl_vendorlib}/Locale/
+#%{perl_vendorlib}/Locale/PO/
%{perl_vendorlib}/Locale/PO.pm
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.20-1
+- Updated to release 0.20.
+
* Sun Oct 07 2007 Dag Wieers <dag at wieers.com> - 0.17-1
- Initial package. (using DAR)
Added: trunk/rpms/perl-Log-Trivial/perl-Log-Trivial.spec
===================================================================
--- trunk/rpms/perl-Log-Trivial/perl-Log-Trivial.spec (rev 0)
+++ trunk/rpms/perl-Log-Trivial/perl-Log-Trivial.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -0,0 +1,59 @@
+# $Id$
+# Authority: dag
+# Upstream: Adam Trickett, E<lt>atrickett$cpan,orgE<gt>
+
+%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
+%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
+
+%define real_name Log-Trivial
+
+Summary: Very simple tool for writing very simple log files
+Name: perl-Log-Trivial
+Version: 0.31
+Release: 1
+License: Artistic/GPL
+Group: Applications/CPAN
+URL: http://search.cpan.org/dist/Log-Trivial/
+
+Source: http://www.cpan.org/modules/by-module/Log/Log-Trivial-%{version}.tar.gz
+BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
+
+BuildArch: noarch
+BuildRequires: perl >= 1:5.6.1
+BuildRequires: perl(Test::More)
+Requires: perl >= 1:5.6.1
+
+%description
+Very simple tool for writing very simple log files.
+
+%prep
+%setup -n %{real_name}-%{version}
+
+%build
+%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
+%{__make} %{?_smp_mflags}
+
+%install
+%{__rm} -rf %{buildroot}
+%{__make} pure_install
+
+### Clean up buildroot
+find %{buildroot} -name .packlist -exec %{__rm} {} \;
+
+### Clean up docs
+find examples/ -type f -exec %{__chmod} a-x {} \;
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%files
+%defattr(-, root, root, 0755)
+%doc Changes MANIFEST META.yml README SIGNATURE examples/
+%doc %{_mandir}/man3/Log::Trivial.3pm*
+%dir %{perl_vendorlib}/Log/
+#%{perl_vendorlib}/Log/Trivial/
+%{perl_vendorlib}/Log/Trivial.pm
+
+%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.31-1
+- Initial package. (using DAR)
Property changes on: trunk/rpms/perl-Log-Trivial/perl-Log-Trivial.spec
___________________________________________________________________
Name: svn:keywords
+ Id Revision
Name: svn:eol-style
+ native
Modified: trunk/rpms/perl-Params-Validate/perl-Params-Validate.spec
===================================================================
--- trunk/rpms/perl-Params-Validate/perl-Params-Validate.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/perl-Params-Validate/perl-Params-Validate.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -9,7 +9,7 @@
Summary: Validate method/function parameters
Name: perl-Params-Validate
-Version: 0.90
+Version: 0.91
Release: 1
License: Artistic/GPL
Group: Applications/CPAN
@@ -70,6 +70,9 @@
%{perl_vendorarch}/Params/ValidateXS.pm
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.91-1
+- Updated to release 0.91.
+
* Mon May 05 2008 Dag Wieers <dag at wieers.com> - 0.90-1
- Updated to release 0.90.
Modified: trunk/rpms/qemu/qemu.spec
===================================================================
--- trunk/rpms/qemu/qemu.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/qemu/qemu.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -13,16 +13,19 @@
Summary: CPU emulator
Name: qemu
-Version: 0.9.0
-Release: 2
+Version: 0.9.1
+Release: 1
License: GPL
Group: Applications/Emulators
URL: http://qemu.org/
Source: http://qemu.org/qemu-%{version}.tar.gz
Patch0: qemu-0.7.0-build.patch
-Patch1: qemu-0.8.0-sdata.patch
-Patch2: qemu-0.9.0-load-initrd.patch
+Patch1: qemu-0.9.1-rtcfreq-quiet.patch
+Patch2: qemu-0.9.1-dhcp.patch
+Patch3: qemu-0.9.1-security.patch
+Patch4: qemu-0.9.1-nic-defaults.patch
+Patch5: qemu-0.9.1-pty-rawmode.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel, SDL-devel
@@ -33,15 +36,15 @@
QEMU is a FAST! processor emulator using dynamic translation to achieve good
emulation speed. QEMU has two operating modes:
- Full system emulation. In this mode, QEMU emulates a full system (for
- example a PC), including a processor and various peripherials. It can
- be used to launch different Operating Systems without rebooting the PC
- or to debug system code.
+ Full system emulation. In this mode, QEMU emulates a full system (for
+ example a PC), including a processor and various peripherials. It can
+ be used to launch different Operating Systems without rebooting the PC
+ or to debug system code.
- User mode emulation (Linux host only). In this mode, QEMU can launch
- Linux processes compiled for one CPU on another CPU. It can be used to
- launch the Wine Windows API emulator or to ease cross-compilation and
- cross-debugging.
+ User mode emulation (Linux host only). In this mode, QEMU can launch
+ Linux processes compiled for one CPU on another CPU. It can be used to
+ launch the Wine Windows API emulator or to ease cross-compilation and
+ cross-debugging.
As QEMU requires no host kernel patches to run, it is very safe and easy to use.
QEMU is a FAST! processor emulator. By using dynamic translation it achieves a
@@ -51,7 +54,10 @@
%setup
%patch0 -p1
%patch1 -p1
-%patch2 -p0
+%patch2 -p1
+%patch3 -p1
+%patch4 -p1
+%patch5 -p1
%{__cat} <<'EOF' >qemu.sysv
#!/bin/sh
@@ -69,103 +75,108 @@
prog="qemu"
start() {
- case "$(uname -m)" in
- (i386|i486|i586|i686|i86pc|BePC)
- cpu="i386";;
- ("Power Macintosh"|ppc|ppc64)
- cpu="ppc";;
- (armv4l|armv5l)
- cpu="arm";;
- esac
- echo -n $"Registering non-native binary handler for Qemu"
- /sbin/modprobe binfmt_misc &>/dev/null
- if [ "$cpu" != "i386" -a -x "%{_bindir}/qemu-i386" -a -d "%{_prefix}/qemu-i386" ]; then
- echo ':qemu-i386:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x03\x00:\xff\xff\xff\xff\xff\xfe\xfe\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-i386:' >/proc/sys/fs/binfmt_misc/register
- echo ':qemu-i486:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x06\x00:\xff\xff\xff\xff\xff\xfe\xfe\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-i386:' >/proc/sys/fs/binfmt_misc/register
- fi
- if [ "$cpu" != "arm" -a -x "%{_bindir}/qemu-arm" -a -d "%{_prefix}/qemu-arm" ]; then
- echo ':qemu-arm:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x28\x00:\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-arm:' >/proc/sys/fs/binfmt_misc/register
- fi
- if [ "$cpu" != "ppc" -a -x "%{_bindir}/qemu-ppc" -a -d "%{_prefix}/qemu-ppc" ]; then
- echo ':ppc:M::\x7fELF\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x14:\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-ppc:' >/proc/sys/fs/binfmt_misc/register
- fi
- if [ "$cpu" != "sparc" -a -x "%{_bindir}/qemu-sparc" -a -d "%{_prefix}/qemu-sparc" ]; then
- echo ':qemu-sparc:M::\x7fELF\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x02:\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:$QEMU/qemu-sparc:' >/proc/sys/fs/binfmt_misc/register
- fi
- echo
+ case "$(uname -m)" in
+ (i386|i486|i586|i686|i86pc|BePC)
+ cpu="i386";;
+ ("Power Macintosh"|ppc|ppc64)
+ cpu="ppc";;
+ (armv4l|armv5l)
+ cpu="arm";;
+ (sh4)
+ cpu="sh4";;
+ esac
+ echo -n $"Registering non-native binary handler for Qemu"
+ /sbin/modprobe binfmt_misc &>/dev/null
+ if [ "$cpu" != "i386" -a -x "%{_bindir}/qemu-i386" -a -d "%{_prefix}/qemu-i386" ]; then
+ echo ':qemu-i386:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x03\x00:\xff\xff\xff\xff\xff\xfe\xfe\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-i386:' >/proc/sys/fs/binfmt_misc/register
+ echo ':qemu-i486:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x06\x00:\xff\xff\xff\xff\xff\xfe\xfe\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-i386:' >/proc/sys/fs/binfmt_misc/register
+ fi
+ if [ "$cpu" != "arm" -a -x "%{_bindir}/qemu-arm" -a -d "%{_prefix}/qemu-arm" ]; then
+ echo ':qemu-arm:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x28\x00:\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-arm:' >/proc/sys/fs/binfmt_misc/register
+ fi
+ if [ "$cpu" != "ppc" -a -x "%{_bindir}/qemu-ppc" -a -d "%{_prefix}/qemu-ppc" ]; then
+ echo ':ppc:M::\x7fELF\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x14:\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-ppc:' >/proc/sys/fs/binfmt_misc/register
+ fi
+ if [ "$cpu" != "sparc" -a -x "%{_bindir}/qemu-sparc" -a -d "%{_prefix}/qemu-sparc" ]; then
+ echo ':qemu-sparc:M::\x7fELF\x01\x02\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x02:\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-sparc:' >/proc/sys/fs/binfmt_misc/register
+ fi
+ if [ "$cpu" != "sh4" -a -x "%{_bindir}/qemu-sh4" -a -d "%{_prefix}/qemu-sh4" ]; then
+ echo ':qemu-sh4:M::\x7fELF\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x2a\x00:\xff\xff\xff\xff\xff\xff\xff\x00\xff\xff\xff\xff\xff\xff\xff\xff\xfb\xff\xff\xff:%{_bindir}/qemu-sh4:' >/proc/sys/fs/binfmt_misc/register
+ fi
+
+ echo
}
stop() {
- echo -n $"Unregistering non-native binary handler for Qemu"
- for cpu in i386 i486 ppc arm sparc; do
- if [ -r "/proc/sys/fs/binfmt_misc/qemu-$cpu" ]; then
- echo "-1" >/proc/sys/fs/binfmt_misc/qemu-$cpu
- fi
- done
- echo
+ echo -n $"Unregistering non-native binary handler for Qemu"
+ for cpu in i386 i486 ppc arm sparc sh4; do
+ if [ -r "/proc/sys/fs/binfmt_misc/qemu-$cpu" ]; then
+ echo "-1" >/proc/sys/fs/binfmt_misc/qemu-$cpu
+ fi
+ done
+ echo
}
restart() {
- stop
- start
+ stop
+ start
}
status() {
- if ls /proc/sys/fs/binfmt_misc/qemu-* &>/dev/null; then
- echo $"Qemu non-native binary format handlers registered."
- return 0
- else
- echo $"Qemu non-native binary format handlers not registered."
- return 1
- fi
+ if ls /proc/sys/fs/binfmt_misc/qemu-* &>/dev/null; then
+ echo $"Qemu non-native binary format handlers registered."
+ return 0
+ else
+ echo $"Qemu non-native binary format handlers not registered."
+ return 1
+ fi
}
case "$1" in
start)
- start
- ;;
+ start
+ ;;
stop)
- stop
- ;;
+ stop
+ ;;
restart|reload)
- restart
- ;;
+ restart
+ ;;
condrestart)
- if status &>/dev/null; then
- restart
- fi
- ;;
+ if status &>/dev/null; then
+ restart
+ fi
+ ;;
status)
- status
- RETVAL=$?
- ;;
+ status
+ RETVAL=$?
+ ;;
*)
- echo $"Usage: $prog {start|stop|restart|condrestart|status}"
- RETVAL=1
+ echo $"Usage: $prog {start|stop|restart|condrestart|status}"
+ RETVAL=1
esac
exit $RETVAL
EOF
%build
-#configure \
./configure \
- --prefix="%{_prefix}" \
- --cc="gcc%{?_with_compat_gcc_version}" \
- --interp-prefix="%{_prefix}/qemu-%%M" \
+ --prefix="%{_prefix}" \
+ --cc="gcc%{?_with_compat_gcc_version}" \
+ --interp-prefix="%{_prefix}/qemu-%%M" \
%{!?_without_alsa:--enable-alsa}
-# --disable-gcc-check
+# --disable-gcc-check
%{__make} %{?_smp_mflags}
%install
%{__rm} -rf %{buildroot}
%{__make} install \
- prefix="%{buildroot}%{_prefix}" \
- bindir="%{buildroot}%{_bindir}" \
- sharedir="%{buildroot}%{_datadir}/qemu" \
- mandir="%{buildroot}%{_mandir}" \
- datadir="%{buildroot}%{_datadir}/qemu" \
- docdir="./rpm-doc"
+ prefix="%{buildroot}%{_prefix}" \
+ bindir="%{buildroot}%{_bindir}" \
+ sharedir="%{buildroot}%{_datadir}/qemu" \
+ mandir="%{buildroot}%{_mandir}" \
+ datadir="%{buildroot}%{_datadir}/qemu" \
+ docdir="./rpm-doc"
%{__install} -Dp -m0755 qemu.sysv %{buildroot}%{_initrddir}/qemu
@@ -175,8 +186,8 @@
%preun
if [ $1 -eq 0 ]; then
- /sbin/service qemu stop &>/dev/null || :
- /sbin/chkconfig --del qemu
+ /sbin/service qemu stop &>/dev/null || :
+ /sbin/chkconfig --del qemu
fi
%clean
@@ -192,6 +203,9 @@
%{_datadir}/qemu/
%changelog
+* Sat May 10 2008 Dag Wieers <dag at wieers.com> - 0.9.1-1
+- Updated to release 0.9.1.
+
* Thu May 10 2007 Dag Wieers <dag at wieers.com> - 0.9.0-2
- Added patches from Fedora.
Modified: trunk/rpms/wine/wine.spec
===================================================================
--- trunk/rpms/wine/wine.spec 2008-05-09 20:59:58 UTC (rev 6307)
+++ trunk/rpms/wine/wine.spec 2008-05-10 14:56:28 UTC (rev 6308)
@@ -48,7 +48,7 @@
Summary: Windows 16/32/64 bit emulator
Name: wine
-Version: 0.9.59
+Version: 0.9.61
Release: 1
License: LGPL
Group: Applications/Emulators
@@ -232,7 +232,7 @@
#!/bin/sh
#
# wine Allow users to run Windows(tm) applications by just clicking on them
-#i (or typing ./file.exe)
+# (or typing ./file.exe)
#
# chkconfig: 35 98 10
# description: Allow users to run Windows(tm) applications by just clicking \
@@ -304,7 +304,8 @@
--sysconfdir="%{_sysconfdir}/wine" \
--disable-static \
%{?_without_opengl:--without-opengl}
-%{__make} depend all
+%{__make} depend
+%{__make} %{?_smp_mflags}
%install
%{__rm} -rf %{buildroot}
@@ -421,7 +422,7 @@
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winefile
-%{_bindir}/winelauncher
+#%{_bindir}/winelauncher
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
@@ -563,6 +564,7 @@
%{_libdir}/wine/crypt32.dll.so
%{_libdir}/wine/cryptdll.dll.so
%{_libdir}/wine/cryptnet.dll.so
+%{_libdir}/wine/cryptui.dll.so
%{_libdir}/wine/ctapi32.dll.so
%{_libdir}/wine/ctl3d32.dll.so
%{_libdir}/wine/d3d8.dll.so
@@ -882,6 +884,9 @@
%{_libdir}/wine/*.def
%changelog
+* Fri May 09 2008 Dag Wieers <dag at wieers.com> - 0.9.61-1
+- Updated to release 0.9.61.
+
* Sun Apr 13 2008 Dag Wieers <dag at wieers.com> - 0.9.59-1
- Updated to release 0.9.59.
More information about the svn-commits
mailing list